Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162355 - yumdownloader --source doesn't work
Summary: yumdownloader --source doesn't work
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: distribution
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Seth Vidal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-03 02:42 UTC by Aaron Kurtz
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-03 15:56:55 UTC


Attachments (Terms of Use)

Description Aaron Kurtz 2005-07-03 02:42:28 UTC
Description of problem:
yumdownloader can't download SRPMs from FC and FE.

Version-Release number of selected component (if applicable):
yum-utils-0.2-2.fc4

How reproducible:

"yumdownloader straw" grabs the FC4 rpm.
"yumdownloader --source straw" fails with
No Match for argument straw

Ignacio said in #fedora that this needs the SRPMs in the repo to work.

Comment 1 Seth Vidal 2005-07-03 15:56:55 UTC
straw's srpm isn't in the default Fedora Extras repository - it is in a separate
srpm repo for Fedora Extras.

so yumdownloader is doing exactly the right thing - the straw srpm doesn't exist.

Comment 2 Aaron Kurtz 2005-07-05 18:22:27 UTC
It may not be a bug per se, but I wouldn't describe this behavior as the right
thing to do, or even the expected. I would have expected it to download SRPMS
without issue.

I haven't seen any SRPM repos. Considering yumdownloader doesn't have an
enablerepo option, a SRPM repo would slow down every other transaction for what
isn't likely to be a common operation.

For anyone else who comes looking, a SRPM repo just needs $basearch replaced
with SRPM and the repo name in brackets changed. Or one can use --urls and
substitute SRPMS and src for the directory and package architechture values.

Comment 3 Seth Vidal 2005-07-22 15:58:13 UTC
right - but it's not really a yum bug - it's more of a repository configuration
issue.

I'll file this under distro


Note You need to log in before you can comment on or make changes to this bug.